rpm 4.11.1-rc1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Enumerations | Functions
rpmspec.h File Reference
Build API.

The rpmSpec and Package data structures used during build. More...

`#include <rpm/rpmstring.h>`
`#include <rpm/rpmcli.h>`
Include dependency graph for rpmspec.h:

Go to the source code of this file.

## Macros
#define | RPMBUILD_DEFAULT_LANG "C"

## Typedefs
typedef struct Package_s * | rpmSpecPkg
typedef struct Source * | rpmSpecSrc
typedef struct rpmSpecIter_s * | rpmSpecPkgIter
typedef struct rpmSpecIter_s * | rpmSpecSrcIter
typedef rpmFlags | rpmSourceFlags
typedef rpmFlags | rpmSpecFlags

## Enumerations
enum | rpmSourceFlags_e { RPMBUILD_ISSOURCE = (1 << 0), RPMBUILD_ISPATCH = (1 << 1), RPMBUILD_ISICON = (1 << 2), RPMBUILD_ISNO = (1 << 3) }
enum | rpmSpecFlags_e { RPMSPEC_NONE = 0, RPMSPEC_ANYARCH = (1 << 0), RPMSPEC_FORCE = (1 << 1), RPMSPEC_NOLANG = (1 << 2) }

## Functions
rpmSpec | rpmSpecFree (rpmSpec spec)
| Destroy Spec structure. More...
rpmSpecPkgIter | rpmSpecPkgIterInit (rpmSpec spec)
rpmSpecPkg | rpmSpecPkgIterNext (rpmSpecPkgIter iter)
rpmSpecPkgIter | rpmSpecPkgIterFree (rpmSpecPkgIter iter)
Header | rpmSpecPkgHeader (rpmSpecPkg pkg)
rpmSpecSrcIter | rpmSpecSrcIterInit (rpmSpec spec)
rpmSpecSrc | rpmSpecSrcIterNext (rpmSpecSrcIter iter)
rpmSpecSrcIter | rpmSpecSrcIterFree (rpmSpecSrcIter iter)
rpmSourceFlags | rpmSpecSrcFlags (rpmSpecSrc src)
int | rpmSpecSrcNum (rpmSpecSrc src)
const char * | rpmSpecSrcFilename (rpmSpecSrc src, int full)
const char * | rpmSpecGetSection (rpmSpec spec, int section)
int | rpmspecQuery (rpmts ts, QVA_t qva, const char *arg)
| Function to query spec file(s). More...

## Detailed Description

The rpmSpec and Package data structures used during build.

Definition in file rpmspec.h.

## Macro Definition Documentation

#define RPMBUILD_DEFAULT_LANG "C"

Definition at line 32 of file rpmspec.h.

## Typedef Documentation

typedef rpmFlags rpmSourceFlags

Definition at line 30 of file rpmspec.h.

typedef rpmFlags rpmSpecFlags

Definition at line 41 of file rpmspec.h.

typedef struct rpmSpecIter_s* rpmSpecPkgIter

Definition at line 20 of file rpmspec.h.

typedef struct Source* rpmSpecSrc

Definition at line 19 of file rpmspec.h.

typedef struct rpmSpecIter_s* rpmSpecSrcIter

Definition at line 21 of file rpmspec.h.

## Enumeration Type Documentation

enum rpmSourceFlags_e

Enumerator
RPMBUILD_ISSOURCE |
RPMBUILD_ISPATCH |
RPMBUILD_ISICON |
RPMBUILD_ISNO |

Definition at line 23 of file rpmspec.h.

enum rpmSpecFlags_e

Enumerator
RPMSPEC_NONE |
RPMSPEC_ANYARCH |
RPMSPEC_FORCE |
RPMSPEC_NOLANG |

Definition at line 34 of file rpmspec.h.

## Function Documentation

const char* rpmSpecGetSection | ( | rpmSpec | spec,
|  | int | section
| ) |  |

Referenced by main().

Header rpmSpecPkgHeader | ( | rpmSpecPkg | pkg | ) |

rpmSpecPkgIter rpmSpecPkgIterFree | ( | rpmSpecPkgIter | iter | ) |

rpmSpecPkgIter rpmSpecPkgIterInit | ( | rpmSpec | spec | ) |

rpmSpecPkg rpmSpecPkgIterNext | ( | rpmSpecPkgIter | iter | ) |

const char* rpmSpecSrcFilename | ( | rpmSpecSrc | src,
|  | int | full
| ) |  |

rpmSourceFlags rpmSpecSrcFlags | ( | rpmSpecSrc | src | ) |

rpmSpecSrcIter rpmSpecSrcIterFree | ( | rpmSpecSrcIter | iter | ) |

rpmSpecSrcIter rpmSpecSrcIterInit | ( | rpmSpec | spec | ) |

rpmSpecSrc rpmSpecSrcIterNext | ( | rpmSpecSrcIter | iter | ) |

int rpmSpecSrcNum | ( | rpmSpecSrc | src | ) |